Bug 826455 - cannot alter domain namespace with mongodb/mysql embedded scalable app exist
cannot alter domain namespace with mongodb/mysql embedded scalable app exist
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 04:55 EDT by Meng Bo
Modified: 2015-05-14 18:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:58:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-05-30 04:55:18 EDT
Description of problem:
alter domain with scalable app embedded mysql/mongodb exist will get failed.

Version-Release number of selected component (if applicable):
devenv_1808
int.openshift.redhat.com

How reproducible:
always

Steps to Reproduce:
1.create scalable app
2.add mysql/mongodb to it
3.try to alter domain
  
Actual results:
Error updating apps: ["perl1s"].  Updates will not be completed until all apps can be updated successfully.  If the problem persists please contact support.

Expected results:
domain namespace should be altered successfully.

Additional info:
it works on devenv_1806
Comment 1 Meng Bo 2012-05-30 05:36:17 EDT
Domain info after fail to alter domain

User Info
=========
Namespace: bmengdev
  RHLogin: bmeng@redhat.com


Application Info
================
perl1s
    Framework: perl-5.10
     Creation: 2012-05-30T04:45:44-04:00
         UUID: 8b256040ef74493ca24e84827dbfbfe5
      Git URL: ssh://8b256040ef74493ca24e84827dbfbfe5@perl1s-bmengdev.dev.rhcloud.com/~/git/perl1s.git/
   Public URL: http://perl1s-bmengdev.dev.rhcloud.com/

 Embedded: 
      haproxy-1.4
      mongodb-2.0 - Connection URL: mongodb://c96b193689-bmengdev2.dev.rhcloud.com:35541/
Comment 2 Dan McPherson 2012-05-30 11:11:17 EDT
D, [2012-05-30T10:31:33.985064 #1100] DEBUG -- : libra.rb:508:in `execute_parallel_action' execute_parallel_actio
n call / request = #<MCollective::RPC::Request:0x7f459981f110
 @action="execute_parallel",
 @agent="libra",
 @caller="cert=mcollective-public",
 @data=
  {:process_results=>true,
   "ip-10-112-99-209"=>
    [{:job=>
       {:cartridge=>"stickshift-node",
        :args=>
         {"--input-args"=>
           "5e2f82d839 danmcp558 5e2f82d839054532bdab641814c75648 \\'20267ed262cf4f02bccebc337fe48201\\'\\=\\'OPE
NSHIFT_DB_GEAR_UUID\\=20267ed262cf4f02bccebc337fe48201\\;\\ OPENSHIFT_DB_GEAR_DNS\\=20267ed262-blah2.dev.rhcloud.
com\\;\\ OPENSHIFT_DB_CTL_ONGEAR_SCRIPT\\=/var/lib/stickshift/20267ed262cf4f02bccebc337fe48201//mysql-5.1/20267ed
262_mysql_ctl.sh\\;\\ OPENSHIFT_DB_TYPE\\=mysql\\;\\ OPENSHIFT_DB_USERNAME\\=admin\\;\\ OPENSHIFT_DB_PASSWORD\\=q
Ek84DbxqrYz\\;\\ OPENSHIFT_DB_HOST\\=20267ed262-blah2.dev.rhcloud.com\\;\\ OPENSHIFT_DB_PORT\\=35541\\;\\ OPENSHIFT_DB_URL\\=mysql://admin:qEk84DbxqrYz@20267ed262-blah2.dev.rhcloud.com:35541/\\;\\ OPENSHIFT_DB_SOCKET\\=/var/li
b/stickshift/20267ed262cf4f02bccebc337fe48201//mysql-5.1/socket/mysql.sock\\;\\ OPENSHIFT_DB_MYSQL_51_DUMP\\=/usr/libexec/stickshift/cartridges/embedded/mysql-5.1/info/bin/mysql_dump.sh\\;\\ OPENSHIFT_DB_MYSQL_51_DUMP_CLEANUP\\=/usr/libexec/stickshift/cartridges/embedded/mysql-5.1/info/bin/mysql_cleanup.sh\\;\\ OPENSHIFT_DB_MYSQL_51_EMBEDDED_TYPE\\=mysql-5.1\\;\\ OPENSHIFT_DB_MYSQL_51_RESTORE\\=/usr/libexec/stickshift/cartridges/embedded/mysql-5.1/info/bin/mysql_restore.sh\\;\\ '\n'\\'",
          "--hook-name"=>"set-db-connection-info",
          "--gear-uuid"=>"5e2f82d839054532bdab641814c75648",
          "--cart-name"=>"php-5.3"},
        :action=>"connector-execute"},
      :result_exit_code=>"",
      :result_stdout=>"",
      :tag=>"",
      :gear=>"5e2f82d839054532bdab641814c75648",
      :result_stderr=>""}]},
 @sender="ip-10-112-99-209",
 @time=1338388293,
 @uniqid="8397e2f60b1b6e80204b8baab087fd52">

D, [2012-05-30T10:31:33.985212 #1100] DEBUG -- : libra.rb:258:in `ss_connector_execute' COMMAND: connector-execute
D, [2012-05-30T10:31:34.091217 #1100] DEBUG -- : libra.rb:592:in `reap_output' cartridge_do_action ERROR (1)
------
/var/lib/stickshift/5e2f82d839054532bdab641814c75648//.env/USER_VARS: line 6: export: `5e2f82d839=5e2f82d839': not a valid identifier
Comment 3 Rajat Chopra 2012-05-30 13:51:17 EDT
The issue with USER_VARS throwing up has been fixed with pull request#81 in crankcase.repo
Comment 4 Rob Millner 2012-05-30 15:38:15 EDT
Confirmed, crankcase pull #81 fixes this issue.

$ rhc domain
Password: ****


User Info
=========
Namespace: rmillner0161
  RHLogin: rmillner


Application Info
================
no1s
    Framework: nodejs-0.6
     Creation: 2012-05-30T15:30:23-04:00
         UUID: 5e24125fc92241fea8d3a579278acfe4
      Git URL: ssh://5e24125fc92241fea8d3a579278acfe4@no1s-rmillner0161.dev.rhcloud.com/~/git/no1s.git/
   Public URL: http://no1s-rmillner0161.dev.rhcloud.com/

 Embedded: 
      mongodb-2.0 - Connection URL: mongodb://9e766aa44c-rmillner0161.dev.rhcloud.com:35541/
      haproxy-1.4


$ rhc-domain alter -p [hidden] -n rmillner0162
OpenShift key found at /home/rmillner/.ssh/id_rsa.  Reusing...
Now your new domain name(s) are being propagated worldwide (this might take a minute)...
  retry # 1 - Waiting for DNS: no1s-rmillner0162.dev.rhcloud.com
  retry # 2 - Waiting for DNS: no1s-rmillner0162.dev.rhcloud.com
  retry # 3 - Waiting for DNS: no1s-rmillner0162.dev.rhcloud.com
  retry # 4 - Waiting for DNS: no1s-rmillner0162.dev.rhcloud.com
  retry # 5 - Waiting for DNS: no1s-rmillner0162.dev.rhcloud.com
You can use 'rhc domain show' to view any url changes.  Be sure to update any links
including the url in your local git config: <local_git_repo>/.git/config
Alteration successful.

$ rhc domain show -p [hidden]

User Info
=========
Namespace: rmillner0162
  RHLogin: rmillner


Application Info
================
no1s
    Framework: nodejs-0.6
     Creation: 2012-05-30T15:30:23-04:00
         UUID: 5e24125fc92241fea8d3a579278acfe4
      Git URL: ssh://5e24125fc92241fea8d3a579278acfe4@no1s-rmillner0162.dev.rhcloud.com/~/git/no1s.git/
   Public URL: http://no1s-rmillner0162.dev.rhcloud.com/

 Embedded: 
      mongodb-2.0 - Connection URL: mongodb://9e766aa44c-rmillner0162.dev.rhcloud.com:35541/
      haproxy-1.4
Comment 5 Meng Bo 2012-06-01 06:10:13 EDT
verified on devenv_1812, bug fixed.

Note You need to log in before you can comment on or make changes to this bug.